package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

public class MenuDishesAddMaterialDTO {
   @ApiModelProperty("食材id")
   private @NotNull(
   message = "{menu_material_id_null}"
) Long materialId;
   @ApiModelProperty("食材重量(g)")
   private @NotNull(
   message = "{menu_weight_null}"
) Double weight;
   @ApiModelProperty("材料类型(1主料,2辅料,3配料)")
   private @NotNull(
   message = "{menu_material_type_null}"
) Integer materialType;

   @ApiModelProperty("食材名称")
   private String  materialName;

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public Long getMaterialId() {
      return this.materialId;
   }

   public Double getWeight() {
      return this.weight;
   }

   public Integer getMaterialType() {
      return this.materialType;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setWeight(final Double weight) {
      this.weight = weight;
   }

   public void setMaterialType(final Integer materialType) {
      this.materialType = materialType;
   }

}
